# VericredClient::ACAPlan2018

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**abortion_rider** | **BOOLEAN** | True if plan covers abortion when there is no public funding available | [optional] 
**actuarial_value** | **Float** | Percentage of total average costs for covered benefits that a plan will cover. | [optional] 
**adult_dental** | **BOOLEAN** | Does the plan provide dental coverage for adults? | [optional] 
**age29_rider** | **BOOLEAN** | True if the plan allows dependents up to age 29 | [optional] 
**ambulance** | **String** | Benefits string for ambulance coverage | [optional] 
**benefits_summary_url** | **String** | Link to the summary of benefits and coverage (SBC) document. | [optional] 
**buy_link** | **String** | Link to a location to purchase the plan. | [optional] 
**carrier_disclaimers** | **String** | Most recent Disclaimer issued for this Plan | [optional] 
**carrier_name** | **String** | Name of the insurance carrier | [optional] 
**child_dental** | **String** | Child dental benefits summary | [optional] 
**child_eye_exam** | **String** | Child eye exam benefits summary | [optional] 
**child_eyewear** | **String** | Child eyewear benefits summary | [optional] 
**chiropractic_services** | **BOOLEAN** | Does the plan provide a degree of coverage for chiropractic services? | [optional] 
**coinsurance** | **Float** | Standard cost share for most benefits | [optional] 
**customer_service_phone_number** | **String** | Phone number to contact the insurance carrier | [optional] 
**diagnostic_test** | **String** | Diagnostic tests benefit summary | [optional] 
**display_name** | **String** | Alternate name for the Plan | [optional] 
**dp_rider** | **BOOLEAN** | True if plan does not cover domestic partners | [optional] 
**drug_formulary_url** | **String** | Link to the summary of drug benefits for the plan | [optional] 
**durable_medical_equipment** | **String** | Benefits summary for durable medical equipment | [optional] 
**effective_date** | **String** | Effective date of coverage. | [optional] 
**embedded_deductible** | **String** | Is the individual deductible for each covered person, embedded in the family deductible | [optional] 
**emergency_room** | **String** | Description of costs when visiting the ER | [optional] 
**essential_health_benefits_percentage** | **Float** | Percentage of essential plan benefits | [optional] 
**expiration_date** | **String** | Expiration date of coverage. | [optional] 
**family_drug_deductible** | **String** | Deductible for drugs when a family is on the plan. | [optional] 
**family_drug_moop** | **String** | Maximum out-of-pocket for drugs when a family is on the plan | [optional] 
**family_medical_deductible** | **String** | Deductible when a family is on the plan | [optional] 
**family_medical_moop** | **String** | Maximum out-of-pocket when a family is on the plan | [optional] 
**fp_rider** | **BOOLEAN** | True if plan does not cover family planning | [optional] 
**gated** | **BOOLEAN** | Does the plan&#39;s network require a physician referral? | [optional] 
**generic_drugs** | **String** | Cost for generic drugs | [optional] 
**habilitation_services** | **String** | Habilitation services benefits summary | [optional] 
**hios_issuer_id** | **String** |  | [optional] 
**home_health_care** | **String** | Home health care benefits summary | [optional] 
**hospice_service** | **String** | Hospice service benefits summary | [optional] 
**hsa_eligible** | **BOOLEAN** | Is the plan HSA eligible? | [optional] 
**id** | **String** | Government-issued HIOS plan ID | [optional] 
**identifiers** | [**Array&lt;PlanIdentifier&gt;**](PlanIdentifier.md) | List of identifiers of this Plan | [optional] 
**imaging** | **String** | Benefits summary for imaging coverage | [optional] 
**imaging_center** | **String** | Imaging center benefits summary | [optional] 
**imaging_physician** | **String** | Imaging physician benefits summary | [optional] 
**individual_drug_deductible** | **String** | Deductible for drugs when an individual is on the plan | [optional] 
**individual_drug_moop** | **String** | Maximum out-of-pocket for drugs when an individual is on the plan | [optional] 
**individual_medical_deductible** | **String** | Deductible when an individual is on the plan | [optional] 
**individual_medical_moop** | **String** | Maximum out-of-pocket when an individual is on the plan | [optional] 
**infertility_treatment_rider** | **BOOLEAN** | True if plan covers infertility treatment | [optional] 
**inpatient_birth** | **String** | Inpatient birth benefits summary | [optional] 
**inpatient_birth_physician** | **String** | Description of the benefit for inpatient birth physician - this is called “Childbirth/delivery professional services” on an SBC | [optional] 
**inpatient_facility** | **String** | Cost under the plan for an inpatient facility | [optional] 
**inpatient_mental_health** | **String** | Inpatient mental helath benefits summary | [optional] 
**inpatient_physician** | **String** | Cost under the plan for an inpatient physician | [optional] 
**inpatient_substance** | **String** | Inpatient substance abuse benefits summary | [optional] 
**lab_test** | **String** | Lab test benefits summary | [optional] 
**level** | **String** | Plan metal grouping (e.g. platinum, gold, silver, etc) | [optional] 
**logo_url** | **String** | Link to a copy of the insurance carrier&#39;s logo | [optional] 
**mail_order_rx** | **Float** | Multiple of the standard Rx cost share for orders filled via mail order | [optional] 
**name** | **String** | Marketing name of the plan | [optional] 
**network_ids** | **Array&lt;Integer&gt;** | List of Vericred-generated network_ids | [optional] 
**network_size** | **Integer** | Total number of Providers in network | [optional] 
**networks** | [**Array&lt;PlanNetwork&gt;**](PlanNetwork.md) | List of networks associated with the plan | [optional] 
**non_preferred_brand_drugs** | **String** | Cost under the plan for non-preferred brand drugs | [optional] 
**nonpreferred_generic_drug_share** | **String** | Non-preferred generic drugs benefits summary | [optional] 
**nonpreferred_specialty_drug_share** | **String** | Non-preferred specialty drugs benefits summary | [optional] 
**off_market** | **BOOLEAN** | Is the plan off-market? | [optional] 
**on_market** | **BOOLEAN** | Is the plan on-market? | [optional] 
**out_of_network_coverage** | **BOOLEAN** | Does this plan provide any out of network coverage? | [optional] 
**outpatient_ambulatory_care_center** | **String** | Outpatient ambulatory care center benefits summary | [optional] 
**outpatient_facility** | **String** | Benefits summary for outpatient facility coverage | [optional] 
**outpatient_mental_health** | **String** | Benefits summary for outpatient mental health coverage | [optional] 
**outpatient_physician** | **String** | Benefits summary for outpatient physician coverage | [optional] 
**outpatient_substance** | **String** | Outpatient substance abuse benefits summary | [optional] 
**plan_ancestors** | [**Array&lt;PlanAncestor&gt;**](PlanAncestor.md) | A list of plan identifiers and years indicating the previous plans that the plan replaces | [optional] 
**plan_calendar** | **String** | Are deductibles and MOOPs reset on Dec-31 (\&quot;calendar year\&quot;), 365 day(s) after enrollment date (\&quot;plan year\&quot;), or are both options available (\&quot;both\&quot;)? | [optional] 
**plan_coinsurance** | **String** | The plan-level standard cost-share for substantially all benefits. It includes in-network, out-of-network, and tiers if applicable | [optional] 
**plan_market** | **String** | Market in which the plan is offered (on_marketplace, shop, etc) | [optional] 
**plan_type** | **String** | Category of the plan (e.g. EPO, HMO, PPO, POS, Indemnity, PACE, Medicare-Medicaid, HMO w/POS, Cost, FFS, MSA) | [optional] 
**postnatal_care** | **String** | Post-natal care benefits summary | [optional] 
**preferred_brand_drugs** | **String** | Cost under the plan for perferred brand drugs | [optional] 
**prenatal_care** | **String** | Prenatal care benefits summary | [optional] 
**prenatal_postnatal_care** | **String** | Inpatient substance abuse benefits summary | [optional] 
**preventative_care** | **String** | Benefits summary for preventative care | [optional] 
**primary_care_physician** | **String** | Cost under the plan to visit a Primary Care Physician | [optional] 
**rehabilitation_services** | **String** | Benefits summary for rehabilitation services | [optional] 
**service_area_id** | **String** | Foreign key for service area | [optional] 
**skilled_nursing** | **String** | Benefits summary for skilled nursing services | [optional] 
**skilled_nursing_facility_365** | **String** | Does the plan cover full-time, year-round, nursing facilities? | [optional] 
**source** | **String** | Source of the plan benefit data | [optional] 
**specialist** | **String** | Cost under the plan to visit a specialist | [optional] 
**specialty_drugs** | **String** | Cost under the plan for specialty drugs | [optional] 
**telemedicine** | **BOOLEAN** | Indicates whether there is coverage for the remote delivery of medical benefits | [optional] 
**type** | **String** | The type of the Plan | [optional] 
**updated_at** | **String** | Time when plan was last updated | [optional] 
**urgent_care** | **String** | Benefits summary for urgent care | [optional] 


