# VericredClient::BulkPlansApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**find_bulk_plans**](BulkPlansApi.md#find_bulk_plans) | **POST** /plans/bulk | Plans in Bulk


# **find_bulk_plans**
> PlansBulkACA2018Response find_bulk_plans(body)

Plans in Bulk

### Retrieve plan benefit data in bulk  Use this endpoint to get plan information in bulk by state, market, year, and product line.  **Notice:** Please note that there are potential breaking changes in the 2020 ACA medical plan schema. For backwards compatibility, the previous schema will be maintained for plans before the 2020 plan year until January 2, 2020. For more information, please see our [2020 ACA Medical Plan Data Update](https://vericred-marketing.s3.amazonaws.com/vericred-communications/2020+ACA+Medical+Updates.pdf).  ### Parameters  | Field                                     | Type         | Notes                                                                                                        | |-------------------------------------------|--------------|--------------------------------------------------------------------------------------------------------------| | market<br />_(required)_                  | `string`     | The options are `individual` or `small_group`.                                                               | | state<br />_(required)_                   | `string`     | The two-letter state code where the plans are offered.                                                       | | product_line<br />_(required)_            | `string`     | The options are `medical`, `dental`, or `vision`.                                                            | | year<br />_(required)_                    | `string`     |                                                                                                              | 

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::BulkPlansApi.new

body = VericredClient::PlansBulkSearchRequest.new # PlansBulkSearchRequest | 


begin
  #Plans in Bulk
  result = api_instance.find_bulk_plans(body)
  p result
rescue VericredClient::ApiError => e
  puts "Exception when calling BulkPlansApi->find_bulk_plans: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**PlansBulkSearchRequest**](PlansBulkSearchRequest.md)|  | 

### Return type

[**PlansBulkACA2018Response**](PlansBulkACA2018Response.md)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



