# VericredClient::CarrierGroupsApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_carrier_group**](CarrierGroupsApi.md#delete_carrier_group) | **DELETE** /carrier_groups/{vericred_id} | Delete a CarrierGroup.
[**put_carrier_group**](CarrierGroupsApi.md#put_carrier_group) | **PUT** /carrier_groups/{vericred_id} | Create/update a CarrierGroup


# **delete_carrier_group**
> delete_carrier_group(vericred_id)

Delete a CarrierGroup.

Delete a CarrierGroup from the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::CarrierGroupsApi.new

vericred_id = "a234567b90" # String | The unique Vericred id


begin
  #Delete a CarrierGroup.
  api_instance.delete_carrier_group(vericred_id)
rescue VericredClient::ApiError => e
  puts "Exception when calling CarrierGroupsApi->delete_carrier_group: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **put_carrier_group**
> put_carrier_group(vericred_id, body)

Create/update a CarrierGroup

Add or update a CarrierGroup to the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::CarrierGroupsApi.new

vericred_id = "a234567b90" # String | The unique Vericred id

body = VericredClient::CarrierGroupRequest.new # CarrierGroupRequest | CarrierGroup Record


begin
  #Create/update a CarrierGroup
  api_instance.put_carrier_group(vericred_id, body)
rescue VericredClient::ApiError => e
  puts "Exception when calling CarrierGroupsApi->put_carrier_group: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 
 **body** | [**CarrierGroupRequest**](CarrierGroupRequest.md)| CarrierGroup Record | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



