# VericredClient::CarrierSubsidiaryDisclaimersApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_carrier_subsidiary_disclaimer**](CarrierSubsidiaryDisclaimersApi.md#delete_carrier_subsidiary_disclaimer) | **DELETE** /carrier_subsidiary_disclaimers/{vericred_id} | Delete a Carrier Subsidiary Disclaimer
[**put_carrier_subsidiary_disclaimer**](CarrierSubsidiaryDisclaimersApi.md#put_carrier_subsidiary_disclaimer) | **PUT** /carrier_subsidiary_disclaimers/{vericred_id} | Create/update a Carrier Subsidiary Disclaimer


# **delete_carrier_subsidiary_disclaimer**
> delete_carrier_subsidiary_disclaimer(vericred_id)

Delete a Carrier Subsidiary Disclaimer

Soft delete a Carrier Subsidiary Disclaimer in the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::CarrierSubsidiaryDisclaimersApi.new

vericred_id = "a234567b90" # String | The unique Vericred id


begin
  #Delete a Carrier Subsidiary Disclaimer
  api_instance.delete_carrier_subsidiary_disclaimer(vericred_id)
rescue VericredClient::ApiError => e
  puts "Exception when calling CarrierSubsidiaryDisclaimersApi->delete_carrier_subsidiary_disclaimer: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **put_carrier_subsidiary_disclaimer**
> put_carrier_subsidiary_disclaimer(vericred_id, body)

Create/update a Carrier Subsidiary Disclaimer

Add or update a Carrier Subsidiary Disclaimer to the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::CarrierSubsidiaryDisclaimersApi.new

vericred_id = "a234567b90" # String | The unique Vericred id

body = VericredClient::CarrierSubsidiaryDisclaimer.new # CarrierSubsidiaryDisclaimer | Carrier Subsidiary Disclaimer Record


begin
  #Create/update a Carrier Subsidiary Disclaimer
  api_instance.put_carrier_subsidiary_disclaimer(vericred_id, body)
rescue VericredClient::ApiError => e
  puts "Exception when calling CarrierSubsidiaryDisclaimersApi->put_carrier_subsidiary_disclaimer: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 
 **body** | [**CarrierSubsidiaryDisclaimer**](CarrierSubsidiaryDisclaimer.md)| Carrier Subsidiary Disclaimer Record | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



