# VericredClient::CarriersApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_carrier**](CarriersApi.md#delete_carrier) | **DELETE** /carriers/{vericred_id} | Delete a Carrier.
[**put_carrier**](CarriersApi.md#put_carrier) | **PUT** /carriers/{vericred_id} | Create/update a Carrier


# **delete_carrier**
> delete_carrier(vericred_id)

Delete a Carrier.

Delete a Carrier from the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::CarriersApi.new

vericred_id = "a234567b90" # String | The unique Vericred id


begin
  #Delete a Carrier.
  api_instance.delete_carrier(vericred_id)
rescue VericredClient::ApiError => e
  puts "Exception when calling CarriersApi->delete_carrier: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **put_carrier**
> put_carrier(vericred_id, body)

Create/update a Carrier

Add or update a Carrier to the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::CarriersApi.new

vericred_id = "a234567b90" # String | The unique Vericred id

body = VericredClient::CarrierRequest.new # CarrierRequest | Carrier Record


begin
  #Create/update a Carrier
  api_instance.put_carrier(vericred_id, body)
rescue VericredClient::ApiError => e
  puts "Exception when calling CarriersApi->put_carrier: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 
 **body** | [**CarrierRequest**](CarrierRequest.md)| Carrier Record | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



