# VericredClient::EmbargoesApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_embargo**](EmbargoesApi.md#delete_embargo) | **DELETE** /embargoes/{vericred_id} | Delete an Embargo.
[**put_embargo**](EmbargoesApi.md#put_embargo) | **PUT** /embargoes/{vericred_id} | Create/update an Embargo


# **delete_embargo**
> delete_embargo(vericred_id)

Delete an Embargo.

Delete an Embargo from the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::EmbargoesApi.new

vericred_id = "a234567b90" # String | The unique Vericred id


begin
  #Delete an Embargo.
  api_instance.delete_embargo(vericred_id)
rescue VericredClient::ApiError => e
  puts "Exception when calling EmbargoesApi->delete_embargo: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **put_embargo**
> put_embargo(vericred_id, body)

Create/update an Embargo

Add or update an Embargo to the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::EmbargoesApi.new

vericred_id = "a234567b90" # String | The unique Vericred id

body = VericredClient::EmbargoRequest.new # EmbargoRequest | Embargo Record


begin
  #Create/update an Embargo
  api_instance.put_embargo(vericred_id, body)
rescue VericredClient::ApiError => e
  puts "Exception when calling EmbargoesApi->put_embargo: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 
 **body** | [**EmbargoRequest**](EmbargoRequest.md)| Embargo Record | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



