# VericredClient::IssuersApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_issuer**](IssuersApi.md#delete_issuer) | **DELETE** /issuers/{vericred_id} | Delete an Issuer.
[**put_issuer**](IssuersApi.md#put_issuer) | **PUT** /issuers/{vericred_id} | Create/update an Issuer


# **delete_issuer**
> delete_issuer(vericred_id)

Delete an Issuer.

Delete an Issuer from the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::IssuersApi.new

vericred_id = "a234567b90" # String | The unique Vericred id


begin
  #Delete an Issuer.
  api_instance.delete_issuer(vericred_id)
rescue VericredClient::ApiError => e
  puts "Exception when calling IssuersApi->delete_issuer: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **put_issuer**
> put_issuer(vericred_id, body)

Create/update an Issuer

Add or update an Issuer to the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::IssuersApi.new

vericred_id = "a234567b90" # String | The unique Vericred id

body = VericredClient::IssuerRequest.new # IssuerRequest | Issuer Record


begin
  #Create/update an Issuer
  api_instance.put_issuer(vericred_id, body)
rescue VericredClient::ApiError => e
  puts "Exception when calling IssuersApi->put_issuer: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 
 **body** | [**IssuerRequest**](IssuerRequest.md)| Issuer Record | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



