# VericredClient::MedicareAdvantagePlansApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**find_medicare_advantage_plans**](MedicareAdvantagePlansApi.md#find_medicare_advantage_plans) | **POST** /plans/medadv/search | Search Plans
[**put_medicare_advantage_plan**](MedicareAdvantagePlansApi.md#put_medicare_advantage_plan) | **PUT** /plans/medadv/{vericred_id} | Create/update a Medicare Advantage Plan
[**show_med_adv_plan**](MedicareAdvantagePlansApi.md#show_med_adv_plan) | **GET** /plans/medadv/{id} | Show Plan


# **find_medicare_advantage_plans**
> MedicareAdvantagePlanSearchResponse find_medicare_advantage_plans(body)

Search Plans

### Searching for Medicare Advantage Plans  Quoting medicare advantage plans for an individual only requires location (zip and fips codes) and enrollment date.  ### Provider Data The Medicare Advantage Plans are paired with [Network Provider Data](#header-network-and-provider-data)  ### Drug coverages Are included along with the rest of the plan data. See [the description below](#drugcoverages) for more details. 

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::MedicareAdvantagePlansApi.new

body = VericredClient::MedicareAdvantagePlanSearchRequest.new # MedicareAdvantagePlanSearchRequest | 


begin
  #Search Plans
  result = api_instance.find_medicare_advantage_plans(body)
  p result
rescue VericredClient::ApiError => e
  puts "Exception when calling MedicareAdvantagePlansApi->find_medicare_advantage_plans: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**MedicareAdvantagePlanSearchRequest**](MedicareAdvantagePlanSearchRequest.md)|  | 

### Return type

[**MedicareAdvantagePlanSearchResponse**](MedicareAdvantagePlanSearchResponse.md)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **put_medicare_advantage_plan**
> put_medicare_advantage_plan(vericred_id, body)

Create/update a Medicare Advantage Plan

Add or update a Medicare Advantage Plan to the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::MedicareAdvantagePlansApi.new

vericred_id = "a234567b90" # String | The unique Vericred id

body = VericredClient::MedicareAdvantagePlanUpdateRequest.new # MedicareAdvantagePlanUpdateRequest | Medicare Advantage Plan Record


begin
  #Create/update a Medicare Advantage Plan
  api_instance.put_medicare_advantage_plan(vericred_id, body)
rescue VericredClient::ApiError => e
  puts "Exception when calling MedicareAdvantagePlansApi->put_medicare_advantage_plan: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 
 **body** | [**MedicareAdvantagePlanUpdateRequest**](MedicareAdvantagePlanUpdateRequest.md)| Medicare Advantage Plan Record | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **show_med_adv_plan**
> MedicareAdvantagePlanShowResponse show_med_adv_plan(id, opts)

Show Plan

### Retrieving Benefits for a Medicare Advantage Plan Show the details of an individual Medicare Advantage Plan. #### Prescription drug benefits Initial coverage phase and gap phase are each broken down by 5 drug tiers (generic, non-preferred, preferred-brand, preferred-generic, and specialty), 4 pharmacy tiers (preferred mail, preferred retail, standard mail, and standard retail), and 2 lengths of supply (1-month and 3-month.) If there is no additional coverage during coverage gap phase, then cost sharing in this phase may be presented in just 2 fields - gap_brand_name and gap_generic, instead of broken-down benefits as described above. For a description of each drug benefit field, please see the schema on the right side.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::MedicareAdvantagePlansApi.new

id = "H0001-001-0" # String | ID of the Plan

opts = { 
  year: 2019 # Integer | Plan year (defaults to current year)
}

begin
  #Show Plan
  result = api_instance.show_med_adv_plan(id, opts)
  p result
rescue VericredClient::ApiError => e
  puts "Exception when calling MedicareAdvantagePlansApi->show_med_adv_plan: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| ID of the Plan | 
 **year** | **Integer**| Plan year (defaults to current year) | [optional] 

### Return type

[**MedicareAdvantagePlanShowResponse**](MedicareAdvantagePlanShowResponse.md)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



