# VericredClient::PlansApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_plan**](PlansApi.md#delete_plan) | **DELETE** /plans/{hios}/{year} | Delete a plan


# **delete_plan**
> delete_plan(hios, year)

Delete a plan

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::PlansApi.new

hios = "12345CA1234567" # String | HIOS ID

year = "2007" # String | Plan year


begin
  #Delete a plan
  api_instance.delete_plan(hios, year)
rescue VericredClient::ApiError => e
  puts "Exception when calling PlansApi->delete_plan: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **hios** | **String**| HIOS ID | 
 **year** | **String**| Plan year | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



