# VericredClient::RatesApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_rate**](RatesApi.md#delete_rate) | **DELETE** /rates/{vericred_id} | Delete a Rate.
[**put_rate**](RatesApi.md#put_rate) | **PUT** /rates/{vericred_id} | Create/update a Rate


# **delete_rate**
> delete_rate(vericred_id)

Delete a Rate.

Delete a Rate from the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::RatesApi.new

vericred_id = "a234567b90" # String | The unique Vericred id


begin
  #Delete a Rate.
  api_instance.delete_rate(vericred_id)
rescue VericredClient::ApiError => e
  puts "Exception when calling RatesApi->delete_rate: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **put_rate**
> put_rate(vericred_id, body)

Create/update a Rate

Add or update a Rate to the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::RatesApi.new

vericred_id = "a234567b90" # String | The unique Vericred id

body = VericredClient::RateRequest.new # RateRequest | Rate Record


begin
  #Create/update a Rate
  api_instance.put_rate(vericred_id, body)
rescue VericredClient::ApiError => e
  puts "Exception when calling RatesApi->put_rate: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 
 **body** | [**RateRequest**](RateRequest.md)| Rate Record | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



