# VericredClient::ServiceAreasApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**put_service_area**](ServiceAreasApi.md#put_service_area) | **PUT** /service_areas/{vericred_id} | Create/update a ServiceArea


# **put_service_area**
> put_service_area(vericred_id, body)

Create/update a ServiceArea

Add or update a ServiceArea to the database.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::ServiceAreasApi.new

vericred_id = "a234567b90" # String | The unique Vericred id

body = VericredClient::ServiceAreaUpdate.new # ServiceAreaUpdate | ServiceArea record


begin
  #Create/update a ServiceArea
  api_instance.put_service_area(vericred_id, body)
rescue VericredClient::ApiError => e
  puts "Exception when calling ServiceAreasApi->put_service_area: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vericred_id** | **String**| The unique Vericred id | 
 **body** | [**ServiceAreaUpdate**](ServiceAreaUpdate.md)| ServiceArea record | 

### Return type

nil (empty response body)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



