# VericredClient::SpecialtiesApi

All URIs are relative to *https://api.vericred.com/*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_specialties**](SpecialtiesApi.md#get_specialties) | **GET** /specialties | Specialty Search


# **get_specialties**
> SpecialtySearchResponse get_specialties(opts)

Specialty Search

Use this endpoint to find provider specialties. These specialties can be used to filter providers in the Provider Search.

### Example
```ruby
# load the gem
require 'vericred_client'
# setup authorization
VericredClient.configure do |config|
  # Configure API key authorization: Vericred-Api-Key
  config.api_key['Vericred-Api-Key'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Vericred-Api-Key'] = 'Bearer'
end

api_instance = VericredClient::SpecialtiesApi.new

opts = { 
  search_term: "Anesthesiology", # String | Full or partial name of a specialty or subspecialty
  code: "207LC0200X", # String | CMS Healthcare Provider Taxonomy Code
  page: 1, # Integer | Page of paginated response
  per_page: 1 # Integer | Responses per page
}

begin
  #Specialty Search
  result = api_instance.get_specialties(opts)
  p result
rescue VericredClient::ApiError => e
  puts "Exception when calling SpecialtiesApi->get_specialties: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search_term** | **String**| Full or partial name of a specialty or subspecialty | [optional] 
 **code** | **String**| CMS Healthcare Provider Taxonomy Code | [optional] 
 **page** | **Integer**| Page of paginated response | [optional] 
 **per_page** | **Integer**| Responses per page | [optional] 

### Return type

[**SpecialtySearchResponse**](SpecialtySearchResponse.md)

### Authorization

[Vericred-Api-Key](../README.md#Vericred-Api-Key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



